package cz.moneta.test.dsl.ufo.banka.pages.loans;

import cz.moneta.test.dsl.ufo.banka.pages.common.pages.TIS027_OBR001_PreContractualInformationPage;
import cz.moneta.test.dsl.ufo.banka.pages.common.pages.TIS051_OBR001_ContractDocumentationPage;
import cz.moneta.test.dsl.ufo.banka.pages.common.pages.VER012_OBR001_008_ContractSignedPage;
import cz.moneta.test.dsl.ufo.banka.pages.fop.CIF034_S001_CompanyAntiLaunderingStatement;
import cz.moneta.test.dsl.ufo.banka.pages.loans.creditCard.NKK006_S001_CreditCardScoringResultPage;
import cz.moneta.test.dsl.ufo.banka.pages.loans.expres.NEP006_S001_ExpressScoringResultPage;
import cz.moneta.test.dsl.ufo.banka.pages.loans.flexikredit.NFL006_S001_FlexikreditScoringResultPage;
import cz.moneta.test.dsl.ufo.banka.pages.main.PSP004_S001_PrintPage;
import cz.moneta.test.dsl.ufo.banka.pages.products.consolidation.UDC006_S001_ConsolidationScoringPage;
import cz.moneta.test.dsl.ufo.banka.pages.products.current.account.BPP001_S001_DocumentationSendPage;
import cz.moneta.test.dsl.ufo.banka.pages.products.flexi.credit.NKK003_S001_SelectingApprovedVariantsPage;
import cz.moneta.test.dsl.ufo.banka.pages.products.saving.accounts.SPU001_S001_SavingAccountPage;
import cz.moneta.test.dsl.ufo.banka.pages.products.sme.CHK001_S001_WaitingForModulationPage;
import cz.moneta.test.dsl.ufo.banka.pages.products.universal.request.UZO006_S001_UniverzalRequestModeling;
import cz.moneta.test.dsl.ufo.banka.pages.requests.PSI001_S050_PreContractualInformationPrintedPage;
import cz.moneta.test.harness.support.web.Builder;

public interface CAS001_S001_ScoringPageTransitions extends Builder {

    NEP006_S001_ExpressScoringResultPage onExpressScoringResultPage();

    NFL006_S001_FlexikreditScoringResultPage onFlexikreditScoringResultPage();

    NKK006_S001_CreditCardScoringResultPage onCreditCardScoringResultPage();

    UZO006_S001_UniverzalRequestModeling onUniversalApplicationScoringResultPage();

    PSI001_S050_PreContractualInformationPrintedPage OnPreContractualInformationPrintedPage();

    VER012_OBR001_008_ContractSignedPage onContractSignedPage();

    TIS027_OBR001_PreContractualInformationPage continueToPrecontractualInfoPage();

    TIS051_OBR001_ContractDocumentationPage continueToContractDocsPage();

    CIF034_S001_CompanyAntiLaunderingStatement onAntiLaunderingStatementPage();

    CHK001_S001_WaitingForModulationPage onModulationPage();

    BPP001_S001_DocumentationSendPage onDocumentationPage();

    SPU001_S001_SavingAccountPage onSavingAccountPage();

    NKK003_S001_SelectingApprovedVariantsPage onApprovedVariantsPage();

    PSP004_S001_PrintPage onPrintPage();

    NEP002_S001_ApplicantPage onApplicantPage();

    UDC006_S001_ConsolidationScoringPage onConsolidationScoringPage();
}
